Bug 37451 - mouse wheel doesn't work in xemacs
Summary: mouse wheel doesn't work in xemacs
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: xemacs   
(Show other bugs)
Version: 7.1
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Trond Eivind Glomsrxd
QA Contact: Aaron Brown
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2001-04-24 16:24 UTC by Markku Kolkka
Modified: 2007-04-18 16:32 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-04-24 16:31:19 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Markku Kolkka 2001-04-24 16:24:20 UTC
The .emacs file contains (require 'mwheel), but when trying to use the 
mouse wheel in xemacs I get a beep and a message button4/5 not defined.
In GNU Emacs the wheel works.

Comment 1 Trond Eivind Glomsrxd 2001-04-24 16:31:14 UTC
Argh. If you take a look at the mwheel.el from XEmacs, they initialize in a
slightly different way. 

I'll fix it for /etc/skel/.emacs/

Comment 2 Trond Eivind Glomsrxd 2001-04-25 18:40:30 UTC
Fixed in emacs-20.7-35:

;; Enable wheelmouse support by default
(if (not running-xemacs)
    (require 'mwheel) ; Emacs
  (mwheel-install) ; XEmacs
)



Note You need to log in before you can comment on or make changes to this bug.